### Function

# GObject TypeClass get

since: 2.84

#### Declaration [src]

    GObjectTypeClass*
    g_type_class_get (
      GType type
    )

#### Description [src]

Retrieves the type class of the given `type`.

This function will create the class on demand if it does not exist already.

If you don’t want to create the class, use `g_type_class_peek()` instead.

Available since: 2.84

#### Parameters

`type`

  Type: `GType`

  Type ID of a classed type.

#### Return value

Type: `GTypeClass`

The class structure for the type.

The data is owned by the called function.